org.baraza.utils

## Class Bpdf

- java.lang.Object
- - org.baraza.utils.Bpdf

-     public class Bpdf
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bpdf()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createPdf(String filename, String passwd)` Creates a PDF document.
    `void` | `decryptPdf(String src, String dest, String passwd)` Manipulates a PDF file src with the file dest as result
    `void` | `encryptPdf(String src, String dest, String passwd)` Manipulates a PDF file src with the file dest as result

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bpdf

          public Bpdf()

  - ### Method Detail

    - #### createPdf

          public void createPdf(String filename,
                       String passwd)
                         throws IOException,
                                com.itextpdf.text.DocumentException

      Creates a PDF document.
      Parameters:
        `filename` - the path to the new PDF document
        `passwd` - the input Password
      Throws:
        `com.itextpdf.text.DocumentException`
        `IOException`

    - #### decryptPdf

          public void decryptPdf(String src,
                        String dest,
                        String passwd)

      Manipulates a PDF file src with the file dest as result
      Parameters:
        `src` - the original PDF
        `dest` - the resulting PDF
        `passwd` - the input Password
      Throws:
        `IOException`
        `com.itextpdf.text.DocumentException`

    - #### encryptPdf

          public void encryptPdf(String src,
                        String dest,
                        String passwd)

      Manipulates a PDF file src with the file dest as result
      Parameters:
        `src` - the original PDF
        `dest` - the resulting PDF
        `passwd` - the input Password
      Throws:
        `IOException`
        `com.itextpdf.text.DocumentException`

Copyright © 2016 openBaraza. All Rights Reserved.